class MarkInterface

# class MarkInterface |
Contains pure virtuals
Full name | `KTextEditor::MarkInterface`
Definition | `#include <markinterface.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum MarkTypes { markType01= 0x1, markType02= 0x2, markType03= 0x4, markType04= 0x8, markType05= 0x10, markType06= 0x20, markType07= 0x40, markType08= 0x80, markType09= 0x100, markType10= 0x200, markType11= 0x400, markType12= 0x800, markType13= 0x1000, markType14= 0x2000, markType15= 0x4000, markType16= 0x8000, markType17= 0x10000, markType18= 0x20000, markType19= 0x40000, markType20= 0x80000, markType21= 0x100000, markType22= 0x200000, markType23= 0x400000, markType24= 0x800000, markType25= 0x1000000, markType26= 0x2000000, markType27= 0x4000000, markType28= 0x8000000, markType29= 0x10000000, markType30= 0x20000000, markType31= 0x40000000, markType32= 0x80000000 }

#### Public Methods

- MarkInterface ()
- virtual ~MarkInterface ()
- unsigned int markInterfaceNumber () const
- virtual uint mark (uint line)
- virtual void setMark (uint line, uint markType)
- virtual void clearMark (uint line)
- virtual void addMark (uint line, uint markType)
- virtual void removeMark (uint line, uint markType)
- virtual QPtrList<KTextEditor::Mark> marks ()
- virtual void clearMarks ()
- virtual void marksChanged ()

#### Protected Methods

- void setMarkInterfaceDCOPSuffix (const QCString &suffix)

## Detailed Description

MarkInterface () | ### MarkInterface

~MarkInterface () | ### ~MarkInterface

[virtual]

unsigned int markInterfaceNumber () | ### markInterfaceNumber

[const]

void setMarkInterfaceDCOPSuffix (const QCString &suffix) | ### setMarkInterfaceDCOPSuffix

[protected]

uint mark (uint line) | ### mark

[pure virtual]

void setMark (uint line, uint markType) | ### setMark

[pure virtual]

void clearMark (uint line) | ### clearMark

[pure virtual]

void addMark (uint line, uint markType) | ### addMark

[pure virtual]

void removeMark (uint line, uint markType) | ### removeMark

[pure virtual]

QPtrList<KTextEditor::Mark> marks () | ### marks

[pure virtual]

void clearMarks () | ### clearMarks

[pure virtual]

enum MarkTypes { markType01= 0x1, markType02= 0x2, markType03= 0x4, markType04= 0x8, markType05= 0x10, markType06= 0x20, markType07= 0x40, markType08= 0x80, markType09= 0x100, markType10= 0x200, markType11= 0x400, markType12= 0x800, markType13= 0x1000, markType14= 0x2000, markType15= 0x4000, markType16= 0x8000, markType17= 0x10000, markType18= 0x20000, markType19= 0x40000, markType20= 0x80000, markType21= 0x100000, markType22= 0x200000, markType23= 0x400000, markType24= 0x800000, markType25= 0x1000000, markType26= 0x2000000, markType27= 0x4000000, markType28= 0x8000000, markType29= 0x10000000, markType30= 0x20000000, markType31= 0x40000000, markType32= 0x80000000 } | ### MarkTypes

void marksChanged () | ### marksChanged

[pure virtual]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:38:11 2003, using kdoc 2.0a54.